Skip to content
中文

POST /mj/submit/action

Method: POSTEndpoint: /mj/submit/action

Callback URL. If empty, the global notifyHook is used.

Request Parameters

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
customId
string
Action identifier
Required
Example:
MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011
taskId
string
Task ID
Required
Example:
14001934816969359
notifyHook
string
Optional
Callback URL. If empty, the global notifyHook is used.
Example
{
"customId"
:
"MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011"
,
"taskId"
:
"14001934816969359"
,
"notifyHook"
:
"string"
}

Example Request

Shell

bash
curl --location --request POST '/mj/submit/action' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
    "taskId": "14001934816969359",
    "notifyHook": "string"
}'

Response

🟢 200 OK

Content Type: application/json

Response Schema

text
code
integer
<int32>
Required
Status Code: 1 (submission succeeded), 21 (already exists), 22 (queued), other (error)
Example:
1
description
string
Description
Required
Example:
submission succeeded
properties
object
Extended Fields
Optional
result
string
Task ID
Optional
Example:
1320098173412546

Example

json
{
    "code": 1,
    "description": "Submission succeeded",
    "properties": {},
    "result": 1320098173412546
}

🟢 201 Created

🟠 401 Unauthorized

🟠 403 Forbidden

🟠 404 Not Found